Subject: Re: bug#8753: unable to build VALA project out-of-tree

From: Stefano Lattarini <[email-masked]>
Date: Sun, 4 Sep 2011 17:44:35 +0200

On Friday 02 September 2011, Stefano Lattarini wrote:
> On Friday 02 September 2011, Zbigniew Jędrzejewski wrote:
> > On 09/01/2011 09:35 PM, Stefano Lattarini wrote:
> > > Hi Zbigniew, sorry for the shameful delay.
> > No problem. Autotools are great anyway :)
> >
> Glad to hear that :-)
> 
> > > I'm quite ignorant about vala and also its support in automake,
> > I think that the support is in general adequate -- systemd uses vala and 
> > in general things get build like they are supposed too.
> >
> Again, glad to hear that.
> 
> > > but I do
> > > think that VPATH builds are not really supported for vala.
> > So it seems.
> >
> I mean, they are supported for distributed tarball (and this is checked in
> the automake testsuite), but not for from-scratch builds, like e.g. from a
> fresh git checkout.
> 
> > > Anyway, it would be nice to at least expose the problem in the Automake
> > > testsuite, even if only as an XFAIL; do you have a minimal use case
> > > exposing the issue?
> > I've taken the hello world example from vala tutorial and wrapped it with
> > Makefile.am and configure.ac.
> > 
> > It builds fine locally, and fails when build from an external directory:
> > 
> > /tmp/build % ~/src/vala_autotools_test/configure
> > ...
> > /tmp/build % make
> > make: *** No rule to make target 
> > `/home/zbyszek/src/vala_autotools_test/hello_vala.stamp', needed by 
> > `/home/zbyszek/src/vala_autotools_test/src/hello.c'.  Stop.
> > 
> > The example is attached. Three files: configure.ac and Makefile.am go in 
> > the root directory of the source tree, hello.vala goes into src/.
> >
> Thanks; I can reproduce the error, and I've managed to reduce your minimal
> test case even more.  I've applied the attached patch to the 'maint' branch
> in the automake repository.
>
But I forgot to list the new test in XFAIL_TESTS :-(

I've pushed the attached patch to remedy to this oversight.

Sorry for the noise,
  Stefano
From 884694a8f84f97a584334fd58048be3de51b001a Mon Sep 17 00:00:00 2001
Message-Id: <884694a8f[email-masked]>
From: Stefano Lattarini <[email-masked]>
Date: Sun, 4 Sep 2011 17:28:35 +0200
Subject: [PATCH] fix: list test 'vala-vpath.test' in XFAIL_TESTS

* tests/Makefile.am (XFAIL_TESTS): Update.
---
 ChangeLog         |    5 +++++
 tests/Makefile.am |    1 +
 tests/Makefile.in |    1 +
 3 files changed, 7 insertions(+), 0 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index f7514d1..3619719 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2011-09-04 Stefano Lattarini  <[email-masked]>
+
+	fix: list test 'vala-vpath.test' in XFAIL_TESTS
+	* tests/Makefile.am (XFAIL_TESTS): Update.
+
 2011-09-02 Stefano Lattarini  <[email-masked]>
 
 	coverage: vala support failing for VPATH from-scratch builds
diff --git a/tests/Makefile.am b/tests/Makefile.am
index 4f8e0f6..38f2319 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -23,6 +23,7 @@ cond17.test \
 gcj6.test \
 pr8365-remake-timing.test \
 yacc-dist-nobuild-subdir.test \
+vala-vpath.test \
 txinfo5.test
 
 include $(srcdir)/parallel-tests.am
diff --git a/tests/Makefile.in b/tests/Makefile.in
index 32e3297..ffb2fe2 100644
--- a/tests/Makefile.in
+++ b/tests/Makefile.in
@@ -288,6 +288,7 @@ cond17.test \
 gcj6.test \
 pr8365-remake-timing.test \
 yacc-dist-nobuild-subdir.test \
+vala-vpath.test \
 txinfo5.test
 
 parallel_tests = \
-- 
1.7.2.3